/*
    *
    * This file is a part of CoreStats.
    * A real time system resource viewer for CuboCore Application Suite
    * Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, write to the Free Software
    * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    * MA 02110-1301, USA.
    *
*/


#ifndef PGENERAL_H
#define PGENERAL_H

#include <QWidget>
#include <QResizeEvent>

#include <csys/info_manager.h>


class UsageBar;

namespace Ui {
	class pgeneral;
}

class pgeneral : public QWidget {
    Q_OBJECT

public:
    explicit pgeneral(QWidget *parent = nullptr);
    ~pgeneral();

private slots:
    void init();
    void systemInformationInit();

    void updateCpuBar();
    void updateMemoryBar();
    void updateNetworkBar();

private:
    Ui::pgeneral *ui;
    UsageBar *cpuBar;
    UsageBar *memBar;
    UsageBar *netBar;
    QTimer *timer;
    InfoManager *im;

	quint64 prevRXBytes = 0, prevTXBytes = 0;
    QString cpuCore, cpuModel, cpuSpeed, username;

protected:
	void resizeEvent( QResizeEvent * );
};

#endif // PGENERAL_H
